Ruby: rb_compile_option_struct Struct Reference

Ruby 3.2.5p208 (2024-07-26 revision 31d0f1a2e7dbfb60731d1f05b868e1d578cda493)

Data Fields
rb_compile_option_struct Struct Reference

## Data Fields
unsigned int | inline_const_cache: 1
unsigned int | peephole_optimization: 1
unsigned int | tailcall_optimization: 1
unsigned int | specialized_instruction: 1
unsigned int | operands_unification: 1
unsigned int | instructions_unification: 1
unsigned int | stack_caching: 1
unsigned int | frozen_string_literal: 1
unsigned int | debug_frozen_string_literal: 1
unsigned int | coverage_enabled: 1
int | debug_level

## Detailed Description

Definition at line 220 of file iseq.h.

## Field Documentation

## ◆ coverage_enabled

unsigned int rb_compile_option_struct::coverage_enabled

Definition at line 230 of file iseq.h.

## ◆ debug_frozen_string_literal

unsigned int rb_compile_option_struct::debug_frozen_string_literal

Definition at line 229 of file iseq.h.

## ◆ debug_level

int rb_compile_option_struct::debug_level

Definition at line 231 of file iseq.h.

## ◆ frozen_string_literal

unsigned int rb_compile_option_struct::frozen_string_literal

Definition at line 228 of file iseq.h.

## ◆ inline_const_cache

unsigned int rb_compile_option_struct::inline_const_cache

Definition at line 221 of file iseq.h.

## ◆ instructions_unification

unsigned int rb_compile_option_struct::instructions_unification

Definition at line 226 of file iseq.h.

## ◆ operands_unification

unsigned int rb_compile_option_struct::operands_unification

Definition at line 225 of file iseq.h.

## ◆ peephole_optimization

unsigned int rb_compile_option_struct::peephole_optimization

Definition at line 222 of file iseq.h.

## ◆ specialized_instruction

unsigned int rb_compile_option_struct::specialized_instruction

Definition at line 224 of file iseq.h.

## ◆ stack_caching

unsigned int rb_compile_option_struct::stack_caching

Definition at line 227 of file iseq.h.

## ◆ tailcall_optimization

unsigned int rb_compile_option_struct::tailcall_optimization

Definition at line 223 of file iseq.h.

The documentation for this struct was generated from the following file:

- iseq.h